BrowserLauncher (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Interface BrowserLauncher

All Known Implementing Classes:
  AbstractBrowserLauncher, DestroyableRuntimeExecutingBrowserLauncher, Firefox2Launcher, Firefox3Launcher, FirefoxChromeLauncher, FirefoxCustomProfileLauncher, FirefoxLauncher, GoogleChromeLauncher, HTABrowserLauncher, InternetExplorerCustomProxyLauncher, InternetExplorerLauncher, KonquerorLauncher, MockBrowserLauncher, OperaCustomProfileLauncher, ProxyInjectionFirefoxCustomProfileLauncher, ProxyInjectionInternetExplorerCustomProxyLauncher, ProxyInjectionSafariCustomProfileLauncher, SafariCustomProfileLauncher, SafariFileBasedLauncher, SafariLauncher

    public interface BrowserLauncher

The launcher interface for classes that will start/stop the browser process.

Version:
  $Revision: 732 $
Author:
  Paul Hammant

Method Summary
`void` | `close()` Stop (kill) the browser process
`java.lang.Process` | `getProcess()` Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String baseUrl)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String url)` Start the browser and navigate directly to the specified URL using the supplied browser configurations

Method Detail

### launchRemoteSession

    void launchRemoteSession(java.lang.String url)

  Start the browser and navigate directly to the specified URL using the supplied browser configurations

### launchHTMLSuite

    void launchHTMLSuite(java.lang.String suiteUrl,
                         java.lang.String baseUrl)

  Start the browser in Selenese mode, auto-running the specified HTML suite

  Parameters:
    `suiteUrl` - the url of the HTML suite to launch
    `baseUrl` - the url within which to initiate the session (if needed)

### close

    void close()

  Stop (kill) the browser process

### getProcess

    java.lang.Process getProcess()

  Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).

  Returns:
    a handle to a process if one is available, or null if one is not available or if no browser is running

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.